# BEGIN SourceDeps(oneline):
BuildRequires: perl(Business/CPI.pm) perl(Data/Printer.pm) perl(ExtUtils/MakeMaker.pm) perl(HTTP/Request/Common.pm) perl(HTTP/Tiny.pm) perl(MIME/Base64.pm) perl(Mojo/DOM.pm) perl(Moo.pm) perl(Test/More.pm) perl(bareword/filehandles.pm) perl(indirect.pm) perl(multidimensional.pm)
# END SourceDeps(oneline)
%define module_version 0.05
%define module_name Business-CPI-Gateway-Moip
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.05
Release: alt1
Summary: Inteface para pagamentos moip
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/H/HE/HERNAN/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Business::CPI::Gateway::Moip allows you to make moip transactions using Business::CPI standards..
Currently, Moip uses XML format for transactions.

This module will allow you to easily create a cart with items and buyer infos and payment infos. And, after setting up all this information, you will be able to:

    ->make_xml_transaction

and register your transaction within moip servers to obtain a moip transaction tokenid.

** make_xml_transaction will return a TOKEN and code SUCCESS upon success. You will need this info so your user can checkout afterwards.

* see the tests for examples


%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE Changes README
%perl_vendor_privlib/B*

%changelog
* Mon Oct 07 2013 Igor Vlasenko <viy@altlinux.ru> 0.05-alt1
- initial import by package builder

